@charset "UTF-8";
@import "compass/css3";
.raffle {
    .panel {
        border: none;
    }
    .raffle-btn {
        margin-top: -6px;
        margin-bottom: -6px;
        line-height: 1;
    }
    .panel-primary {
        .panel-heading {
            background-color: #206ff4;
            border-color: #206ff4;
            color: white;
        }
        .withdraw-panel {
            background-color: #2979ff;
            color: white;
            .show-history-btn {
                cursor: pointer;
                i {
                    font-size: 30px;
                    line-height: 57px;
                }
                &:hover {
                    i,
                    span {
                        color: #ffc65d;
                    }
                }
            }
        }
        .withdrawForm {
            background-color: #298eff;
            color: white;
            padding: 15px;
        }
    }
    a {
        &:hover {
            text-decoration: underline;
        }
        color: #428bca;
    }
    table > thead > tr > th {
        background-color: #f6f7fa;
    }
    table > tbody > tr > td,
    table > thead > tr > th {
        text-align: center;
    }
    .waiting-amount-panel {
        border: 1px solid #ddd;
        border-top: none;
        line-height: 41px;
        padding-right: 15px;
    }
    .raffle-amount {
        color: #ffc65d;
        span {
            font-size: 24px;
            line-height: 1.5;
            font-weight: bold;
        }
        .withdraw-btn {
            margin-bottom: 10px;
            margin-left: 10px;
            line-height: 1;
        }
    }
    .withdraw-amount-input {
        color: #FF9800;
        font-weight: bold;
    }
    .raffle-end {
        width: 340px;
        height: 370px;
        margin-left: 45%;
        background-color: #fff3cb;
        @include border-radius(4px);
        padding: 0 12px;
        .raffle-result {
            background-image: url(../res/raffle-result.png);
            background-repeat: no-repeat;
            width: 313px;
            height: 230px;
            font-size: 14px;
            line-height: 1.5;
            color: #fff;
            padding-top: 104px;
            span {
                font-size: 56px;
                font-weight: bold;
            }
        }
        .raffle-descript {
            p {
                line-height: 60px;
                font-size: 14px;
                color: #fd6e6e;
            }
            .btn {
                width: 155px;
                height: 40px;
            }
        }
    }
    .active-descript {
        padding: 20px;
        color: #737373;
        font-size: 14px;
        line-height: 1.5;
    }
    .raffle-loading-mask {
        position: fixed;
        width: 100%;
        height: 100%;
        left: 0;
        z-index: 1020;
        top: 0;
        text-align: center;
        background-color: #333;
        opacity: 0.2;
        filter: alpha(opacity=20);
    }
    .raffle-loading {
        position: fixed;
        z-index: 1050;
        top: 0;
        left: 0;
        margin-top: 16%;
        width: 100%;
        height: 100%;
        text-align: center;
    }
    .empty-withdraw-log {
        font-size: 34px;
        line-height: 280px;
        text-align: center;
    }
}

.raffle-history-panel {
    .header {
        padding-bottom: 20px;
        border-bottom: 1px solid #dedede;
        margin-bottom: 10px;
        margin-top: -30px;
    }
}

.raffle-history {
    line-height: 24px;
    max-height: 820px;
    // overflow-y: auto;
    .item {
        line-height: 30px;
    }
    .failed-reason {
        background-color: #f2f2f2;
        padding-left: 10px;
        height: 34px;
        line-height: 34px;
    }
    .failed-info {
        color: #f97040;
        cursor: pointer;
    }
}

.order-list {
    list-style: none;
    padding: 0;
    margin-top: -25px;
    margin-bottom: 0;
    .item {
        padding: 15px 0;
        font-size: 0;
        & + .item {
            border-top: 1px solid #dedede;
        }
        span {
            display: inline-block;
            width: 25%;
            font-size: 14px;
            text-align: center;
        }
    }
}

.tickets {
    padding: 20px 10px 0;
    > p {
        padding-left: 18px;
        padding-bottom: 5px;
    }
    ul {
        margin: 0;
        padding: 15px;
        padding-bottom: 30px;
    }
    .item {
        height: 200px;
        border: 1px solid #dedede;
        border-radius: 5px;
        margin-bottom: 20px;
        &.timeout {
            .header {
                background-color: #b2b2b2;
            }
            .footer {
                p {
                    color: #b2b2b2;
                }
            }
        }
        p {
            padding: 0;
            margin: 0;
        }
        .header {
            background: #3c85fd;
            padding: 15px 15px 10px;
            color: #fff;
            border-radius: 5px 5px 0 0;
            .money {
                color: #fff;
                font-size: 36px;
                line-height: 1;
            }
            .time-tip {
                color: #fff;
                padding-left: 10px;
                line-height: 2;
                min-width: 158px;
            }
        }
        .footer {
            padding: 5px 10px;
        }
    }
}
